Get company by ID
client.users.companies.retrieve(stringid, CompanyRetrieveParams { featurebaseVersion } params?, RequestOptionsoptions?): Company { id, companyId, companySize, 11 more }
GET/v2/companies/{id}
Retrieves a single company by its Featurebase ID.
Path Parameters
id- The Featurebase internal ID of the company (MongoDB ObjectId)
Response
Returns a company object with:
id- Featurebase internal IDcompanyId- External company ID from your systemname- Company namemonthlySpend- Monthly spend/revenueindustry- Industrywebsite- Company website URLplan- Plan/tier namelinkedUsers- Number of users linked to this companycompanySize- Employee headcountlastActivity- Last activity timestampcustomFields- Custom field valuescreatedAt- Creation timestampupdatedAt- Last update timestamp
Example Response
{
"object": "company",
"id": "507f1f77bcf86cd799439011",
"companyId": "comp_12345",
"name": "Acme Inc",
"monthlySpend": 5000,
"industry": "Technology",
"website": "https://acme.com",
"plan": "enterprise",
"linkedUsers": 15,
"companySize": 250,
"lastActivity": "2025-01-15T00:00:00.000Z",
"customFields": { "location": "Europe" },
"createdAt": "2025-01-01T12:00:00.000Z",
"updatedAt": "2025-01-10T15:30:00.000Z"
}
Error Responses
- 404 Not Found - Company with the specified ID does not exist
Version Availability
This endpoint is only available in API version 2026-01-01.nova and newer.
Get company by ID
import Featurebase from 'featurebase-node';
const client = new Featurebase({
apiKey: process.env['FEATUREBASE_API_KEY'], // This is the default and can be omitted
});
const company = await client.users.companies.retrieve('507f1f77bcf86cd799439011');
console.log(company.id);{
"id": "507f1f77bcf86cd799439011",
"companyId": "comp_12345",
"companySize": 250,
"createdAt": "2025-01-01T12:00:00.000Z",
"industry": "Technology",
"lastActivity": "2025-01-15T00:00:00.000Z",
"linkedUsers": 15,
"monthlySpend": 5000,
"name": "Acme Inc",
"object": "company",
"plan": "enterprise",
"updatedAt": "2025-01-10T15:30:00.000Z",
"website": "https://acme.com",
"customFields": {
"location": "bar",
"priority": "bar"
}
}Returns Examples
{
"id": "507f1f77bcf86cd799439011",
"companyId": "comp_12345",
"companySize": 250,
"createdAt": "2025-01-01T12:00:00.000Z",
"industry": "Technology",
"lastActivity": "2025-01-15T00:00:00.000Z",
"linkedUsers": 15,
"monthlySpend": 5000,
"name": "Acme Inc",
"object": "company",
"plan": "enterprise",
"updatedAt": "2025-01-10T15:30:00.000Z",
"website": "https://acme.com",
"customFields": {
"location": "bar",
"priority": "bar"
}
}